org.apache.storm.solr.mapper

## Class SolrFieldsMapper.Builder

- java.lang.Object
- - org.apache.storm.solr.mapper.SolrFieldsMapper.Builder

- Enclosing class:
    SolrFieldsMapper

      public static class SolrFieldsMapper.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(SchemaBuilder schemaBuilder, org.apache.solr.client.solrj.SolrClient solrClient)` `SolrFieldsMapper` builder class.
    `Builder(SchemaBuilder schemaBuilder, String collection)` `SolrFieldsMapper` builder class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SolrFieldsMapper` | `build()`
    `SolrFieldsMapper.Builder` | `setMultiValueFieldToken(String multiValueFieldToken)` Sets the token that separates multivalue fields in tuples.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(SchemaBuilder schemaBuilder,
                         String collection)

      `SolrFieldsMapper` builder class.

      Parameters:
        `schemaBuilder` - Solr `Schema` builder class
        `collection` - Name of the Solr collection to update using the SolrRequest

    - #### Builder

          public Builder(SchemaBuilder schemaBuilder,
                         org.apache.solr.client.solrj.SolrClient solrClient)

      `SolrFieldsMapper` builder class.

      Parameters:
        `schemaBuilder` - Solr `Schema` builder class
        `solrClient` - `SolrClient` implementation from where to extract the default Solr collection, if any defined.

  - ### Method Detail

    - #### setMultiValueFieldToken

          public SolrFieldsMapper.Builder setMultiValueFieldToken(String multiValueFieldToken)

      Sets the token that separates multivalue fields in tuples. The default token is |

    - #### build

          public SolrFieldsMapper build()

Copyright © 2021 The Apache Software Foundation. All rights reserved.